import { ElementRef, EventEmitter } from '@angular/core';
import { NgControl, ControlValueAccessor } from '@angular/forms';
/**
 * Angular 2 wrapper around Semantic UI Input Element.
 * @see http://semantic-ui.com/elements/input.html
 */
export declare class InputDate implements ControlValueAccessor {
    private _elementRef;
    private static DEFAULT_VALUE;
    placeholder: string;
    type: string;
    value: string;
    icon: string;
    disabled: boolean;
    focused: boolean;
    tabIndex: number;
    required: boolean;
    blur: EventEmitter<any>;
    errorMessage: string;
    onChange: Function;
    onTouched: Function;
    private _modelValue;
    private static _defaultValue();
    constructor(control: NgControl, _elementRef: ElementRef);
    ngOnChanges(change: any): void;
    onBlur(value: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
